# KJSEmbed::Bindings::JSBindingPlugin Class Reference

Interface for KJSBindings that can be added as plugins. More...

`#include <jsbindingplugin.h>`

List of all members.

## Public Member Functions

| JSBindingPlugin (QObject *parent, const char *name, const QStringList &args)
virtual | ~JSBindingPlugin ()
virtual KJS::Object | createBinding (KJSEmbedPart *jspart, KJS::ExecState *exec, const KJS::List &args) const=0
virtual void | addBindings (KJS::ExecState *, KJS::Object &) const

## Detailed Description

Interface for KJSBindings that can be added as plugins.

Author:
  Ian Reinhart Geiser, geiseri@kde.org

Version:
  Id
    jsbindingplugin.h,v 1.5 2004/04/09 19:32:41 rich Exp

## Constructor & Destructor Documentation

KJSEmbed::Bindings::JSBindingPlugin::JSBindingPlugin | ( | QObject * | parent,
|  | const char * | name,
|  | const QStringList & | args
| ) |

virtual KJSEmbed::Bindings::JSBindingPlugin::~JSBindingPlugin | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void KJSEmbed::Bindings::JSBindingPlugin::addBindings | ( | KJS::ExecState * | ,
|  | KJS::Object & |
| ) | const`[inline, virtual]`

| add bindings to an object (eg an qobject returned by a slot

virtual KJS::Object KJSEmbed::Bindings::JSBindingPlugin::createBinding | ( | KJSEmbedPart * | jspart,
|  | KJS::ExecState * | exec,
|  | const KJS::List & | args
| ) | const`[pure virtual]`

| This method is called by the KJSFactory to bootstrap the plugin. Plugin developers will want to use this method to create their QObject binding, or call their addBindings() method in their JSOpaque proxy or JSValueProxy. The value returned from ths function is the KJS::Object that represents the proxy arround the added object.

The documentation for this class was generated from the following file:

- jsbindingplugin.h